#
# spec file for package perl-Net-Netmask (Version 1.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Net-Netmask
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl_nm
Obsoletes:    perl_nm
Autoreqprov:  on
Summary:      Parse, manipulate and lookup IP network blocks
Version:      1.9
Release:      30
Source:       Net-Netmask-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Parse, manipulate and lookup IP network blocks.

Authors:
--------
    David Muir Sharnoff <muir@idiom.com>

SuSE series: perl

%prep
%setup -n Net-Netmask-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Net-Netmask
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Net/Netmask
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG MANIFEST README
%doc %{_mandir}/man3/*
%{perl_sitearch}/../Net/Netmask.pm
%{perl_sitearch}/../Net/Netmask.pod
%{perl_sitearch}/auto/Net/Netmask
/var/adm/perl-modules/perl-Net-Netmask

%changelog -n perl-Net-Netmask
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 1.9
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_nm -> perl-Net-Netmask
* Thu Aug 24 2000 - cihlar@suse.cz
- update to version 1.8
- added BuildRoot
- bzipped sources
* Fri Jan 21 2000 - ro@suse.de
- fixed filelist
* Mon Nov 08 1999 - choeger@suse.de
- first version
